# Getting Started with Griptape Nodes

Welcome to your journey with Griptape Nodes! This learning path will guide you through everything from basic setup to creating complex, coordinated workflows with multiple agents.

## [Interface Basics](../ftue/00_tour/FTUE_00_tour.md)

Now that we're past installing, it's time launch and work in Griptape Nodes. Explore the interface, and understand how to add nodes to your workspace. This simple but foundational tutorial will prepare you for all future workflows.

## [Prompt an Image](../ftue/01_prompt_an_image/FTUE_01_prompt_an_image.md)

![img](assets/FTUE_01_prompt_an_image.png)

Learn how to use the powerful GenerateImage node to transform text descriptions into vivid visual creations. This tutorial introduces you to one of the most popular and versatile nodes in the Griptape ecosystem.

## [Coordinating Agents](../ftue/02_translator/FTUE_02_translator.md)

![img](assets/FTUE_02_translator.png)

Discover how to coordinate multiple agents to perform sequential tasks. Examine a workflow that translates content between languages, teaching you the fundamentals of agent connections and execution chains. This tutorial introduces the concept of multi-step workflows.

## [Compare Prompts](../ftue/03_compare_prompts/FTUE_03_compare_prompts.md)

![img](assets/FTUE_03_compare_prompts.png)

Take your image generation to the next level by exploring a few different prompting methods. Compare basic prompts, GenerateImage "enhanced prompts", and custom agent-enhanced prompts to see how each affects your results. Learn how to craft detailed instructions for more precise creative control.

## [Build a Photography Team](../ftue/04_photography_team/FTUE_04_photography_team.md)

![img](assets/FTUE_04_photography_team.png)

Build an advanced system with specialized agents working together to create spectacular image prompts. Learn about rule sets and tools, and discover how to convert agents into reusable tools for enhanced functionality. This advanced tutorial brings together everything you've learned so far.

## Learning Path

These tutorials are designed to be followed in sequence:

1. **[Interface Basics](../ftue/00_tour/FTUE_00_tour.md)** - Learn the basics of Griptape Nodes and its interface
1. **[Prompt an Image](../ftue/01_prompt_an_image/FTUE_01_prompt_an_image.md)** - Create your first AI-generated images
1. **[Coordinating Agents](../ftue/02_translator/FTUE_02_translator.md)** - Build your first multi-agent workflow
1. **[Compare Prompts](../ftue/03_compare_prompts/FTUE_03_compare_prompts.md)** - Compare different methods for better results
1. **[Build a Photography Team](../ftue/04_photography_team/FTUE_04_photography_team.md)** - Combine everything into a sophisticated system

Each tutorial builds upon the knowledge gained in previous lessons, gradually introducing more complex concepts and techniques.

## What You'll Learn

By completing this learning path, you'll master:

- Setting up and navigating the Griptape Nodes interface
- Creating and connecting different types of nodes
- Working with AI image generation
- Implementing rule sets and tools for specialized agents
- Converting agents into reusable tools
- Coordinating multiple agents in a single system

Ready to start your journey with Griptape Nodes? [Start with Interface Basics](00_tour/FTUE_00_tour.md)
